import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class fibonachitesti2 extends Applet implements ActionListener
{
   Label rakametiketi,sonucetiketi;
   TextField rakam,sonuc;

   public void init()
   {
   rakametiketi=new Label("Bir tamsayi giriniz : ");
   rakam=new TextField(10);
   rakam.addActionListener(this);
   sonucetiketi=new Label("Fibonachi degeri    : ");
   sonuc=new TextField(10);
   sonuc.setEditable(false);
   add(rakametiketi);
   add(rakam);
   add(sonucetiketi);
   add(sonuc);
   }

   public void actionPerformed( ActionEvent e)
   {
   long sayi;
   long fibonachisayisi;
   sayi=Long.parseLong(rakam.getText());
   showStatus("Fibonachi hesaplan¨yor....");
   fibonachisayisi=fibonachi(sayi);
   showStatus("Fibonachi hesaplandi....");
   sonuc.setText(Long.toString(fibonachisayisi));
   }

   public long fibonachi(long sayi)
   {
     if(sayi <=0) return 0;
     else if(sayi ==1) return 1;
     else return fibonachi(sayi - 1)+fibonachi(sayi - 2);
   }

}

